% Funzione che definisce accelerazioni, dati magnetici, temperature, date e
% livello della batteria per i nodi di tipo Rain Link
function [TimeRL,val_RL,ErrRainLink] = defDatiRL(DatiRainLink,ErrRainLink,FileName)

fileID = fopen(FileName,'a');
fmt = '%s \r';
text = 'defDatiRL function started';
fprintf(fileID,fmt,text);

[r,c]=size(DatiRainLink);
Ncorr = 0;
% Elimino gli eventuali Not a Number
for a = 2:r
    for b = 1:c
        check = isnan(DatiRainLink(a,b));
        if check == 1
            DatiRainLink(a,b) = DatiRainLink(a-1,b);
            ErrRainLink(a,b-1) = 1;
            Ncorr = Ncorr+1;
        end
    end
end

text = [num2str(Ncorr) ' NaN of Rain Link corrected by defDatiRL function'];
fprintf(fileID,fmt,text);

TimeRL = DatiRainLink(:,1); % data
val_RL = DatiRainLink(:,2:end); % dati pioggia

text = 'Data of Rain Link defined correctly. defDatiRL function closed';
fprintf(fileID,fmt,text);
fclose(fileID);

end
